#### D.13.3.7 GITfan

Procedure from library `gitfan.lib` (see gitfan_lib).

Usage:
  GITfan(J,Q [, G]); J:ideal, Q:intmat, G:list

Purpose:
  Computes the GIT fan associated to J and Q. Optionally a symmetry group action on the column space of Q can be specified.

Return:
  a fan, the GIT fan.

Note:
  The procedure uses parallel computation for the construction of the GIT-cones. The a-faces are not computed in parallel. This can be done by calling the aface procedure specifying a list of simplex faces. If used with the optional argument G, the orbit decomposition of the simplex of columns of Q is computed. Refer to the Singular documentation on how to do this more efficiently using GAP.

Example:

    LIB "gitfan.lib";
    setcores(4);
    ==> 4
    ring R = 0,T(1..10),wp(1,1,1,1,1,1,1,1,1,1);
    ideal J =
    T(5)*T(10)-T(6)*T(9)+T(7)*T(8),
    T(1)*T(9)-T(2)*T(7)+T(4)*T(5),
    T(1)*T(8)-T(2)*T(6)+T(3)*T(5),
    T(1)*T(10)-T(3)*T(7)+T(4)*T(6),
    T(2)*T(10)-T(3)*T(9)+T(4)*T(8);
    intmat Q[5][10] =
    1, 1, 1, 1, 0, 0, 0, 0, 0, 0,
    1, 0, 0, 0, 1, 1, 1, 0, 0, 0,
    0, 1, 1, 0, 0, 0, -1, 1, 0, 0,
    0, 1, 0, 1, 0, -1, 0, 0, 1, 0,
    0, 0, 1, 1, -1, 0, 0, 0, 0, 1;
    fan GIT = GITfan(J,Q);
    intmat Q[5][10] =
    ==> // ** redefining Q (intmat Q[5][10] =) ./examples/GITfan.sing:17
    1, 1, 1, 1, 0, 0, 0, 0, 0, 0,
    1, 0, 0, 0, 1, 1, 1, 0, 0, 0,
    0, 1, 1, 0, 0, 0, -1, 1, 0, 0,
    0, 1, 0, 1, 0, -1, 0, 0, 1, 0,
    0, 0, 1, 1, -1, 0, 0, 0, 0, 1;
    list simplexSymmetryGroup = G25Action();
    fan GIT2 = GITfan(J,Q,simplexSymmetryGroup);

User manual for Singular version 4.4.1, 2025, generated by texi2html.